petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISGlobalToLocalMappingApply

Provides the local numbering for a list of integers specified with a global numbering.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISGlobalToLocalMappingApply(ISLocalToGlobalMapping mapping,ISGlobalToLocalMappingType type,
                                                PetscInt n,const PetscInt idx[],PetscInt *nout,PetscInt idxout[])

Not collective Many br

### Input Parameters

| mapping | - mapping between local and global numbering Many br
| type | - IS_GTOLM_MASK - replaces global indices with no local value with -1 Many brIS_GTOLM_DROP - drops the indices with no local value from the output list Many br
| n | - number of global indices to map Many br
| idx | - global indices to map Many br

### Output Parameters

| nout | - number of indices in output array (if type == IS_GTOLM_MASK then nout = n) Many br
| idxout | - local index of each global index, one must pass in an array long enough Many brto hold all the indices. You can call ISGlobalToLocalMappingApply() with Many bridxout == NULL to determine the required length (returned in nout) Many brand then allocate the required space and call ISGlobalToLocalMappingApply() Many bra second time to set the values. Many br

### Notes

Either nout or idxout may be NULL. idx and idxout may be identical. Many br

This is not scalable in memory usage. Each processor requires O(Nglobal) size Many brarray to compute these. Many br

Many br

Developer Note: The manual page states that idx and idxout may be identical but the calling Many brsequence declares idx as const so it cannot be the same as idxout. Many br

### See Also

ISLocalToGlobalMappingApply(), ISGlobalToLocalMappingApplyBlock(), ISLocalToGlobalMappingCreate(),
ISLocalToGlobalMappingDestroy() Many br

Level:advanced
Location:src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/is/examples/tutorials/ex4.c.html
src/vec/is/is/examples/tutorials/ex5.c.html